# ----------------------------------------------------------
# This script is automatically executed by the installer.
# Under normal circumstances, it should not have to be run manually.
# This is for installation of APPX Client.
#
# If run from rpm install, we will be root.
# If run from makeself install, we may or may not be root.
# ----------------------------------------------------------
# Retain Appx Directory

AD=$PWD

# ----------------------------------------------------------
# Generate script to launch client

if [ -e client.sh ]
then
	mv client.sh client.sh.save
fi

echo "cd $AD/client" > client.sh
echo "export PATH=$AD/jre/bin:\$PATH" >> client.sh
echo "jre -mx48000000 -cp ./swingall.jar:./appx.jar start.Appx \$*">> client.sh

chmod 755 client.sh


if [ `id -u` = "0" ]
then
	chown appx:appxgrp client.sh
fi

# ----------------------------------------------------------
# Generate initial login.ini file pointing client to local engine

echo "login.local.localEngine=$AD/appx" > client/login.ini

chmod 755 client/login.ini

if [ `id -u` = "0" ]
then
	chown appx:appxgrp client/login.ini
fi

# ----------------------------------------------------------
# Generate a global sym link for the client

if [ `id -u` = "0" ]
then
	rm -f /usr/local/bin/client.sh
	ln -s $AD/client.sh /usr/local/bin/client.sh
fi

# ----------------------------------------------------------
# Create APPX Menu on GNOME Menu

# If we're root, place on Main shared menu.
# If we're not root place on user's personal menu.

if [ `id -u` = "0" ]
then
	MENUDIR=/usr/share/gnome/apps
else
	MENUDIR=~/.gnome/apps
fi


if [ -d $MENUDIR ]
then
	cd $MENUDIR

	if ! [ -d APPX ]
	then
		mkdir APPX
	fi

	cd APPX
	
	FI=.directory
	echo "[Desktop Entry]" > $FI
	echo "Name=APPX" >> $FI
	echo "Icon=$AD/logomenu.ico" >> $FI
	echo "Type=Directory" >> $FI

	FI=APPX-Client.desktop
	echo "[Desktop Entry]" > $FI
	echo "Name=APPX Client" >> $FI
	echo "Exec=$AD/client.sh" >> $FI
	echo "Terminal=false" >> $FI
	echo "MultipleArgs=false" >> $FI
	echo "Type=Application" >> $FI

fi

# ----------------------------------------------------------
# Create APPX Menu on KDE Menu

# If we're root, place on Main shared menu.
# If we're not root place on user's personal menu.

if [ `id -u` = "0" ]
then
	MENUDIR=/usr/share/applnk
else
	MENUDIR=~/.kde/share/applnk
fi


if [ -d $MENUDIR ]
then
	cd $MENUDIR

	if ! [ -d APPX ]
	then
		mkdir APPX
	fi

	cd APPX
	
	FI=.directory
	echo "[Desktop Entry]" > $FI
	echo "Name=APPX" >> $FI
	echo "Icon=$AD/logomenu.ico" >> $FI
	echo "Type=Directory" >> $FI

	FI=APPX-Client.kdelnk
	echo "[Desktop Entry]" > $FI
	echo "Name=APPX Client" >> $FI
	echo "Exec=$AD/client.sh" >> $FI
	echo "Terminal=false" >> $FI
	echo "MultipleArgs=false" >> $FI
	echo "Type=Application" >> $FI

fi
