# ----------------------------------------------------------
# This script is automatically executed by the installer.
# Under normal circumstances, it should not have to be run manually.
# This is for the APPX engine.
#
# If run from rpm install, we will be root.
# If run from makeself install, we may or may not be root.
# ----------------------------------------------------------
# Retain Appx Directory

AD=$PWD

# ----------------------------------------------------------
# Generate a global script for the engine (char mode)
# A sym link failed to get us APPXPATH defaulted properly.

if [ `id -u` = "0" ]
then
	FI=/usr/local/bin/appx

	if [ -e $FI ]
	then
		mv $FI $FI.save
	fi

	echo "$AD/appx \$*" > $FI
	chown appx:appxgrp $FI
	chmod 755 $FI
fi

# ----------------------------------------------------------
# Create APPX Menu on GNOME Menu

# If we're root, place on Main shared menu.
# If we're not root, place on user's personal menu.

if [ `id -u` = "0" ]
then
	MENUDIR=/usr/share/gnome/apps
else
	MENUDIR=~/.gnome/apps
fi


if [ -d $MENUDIR ]
then
	cd $MENUDIR

	if ! [ -d APPX ]
	then
		mkdir APPX
	fi

	cd APPX
	
	FI=.directory
	echo "[Desktop Entry]" > $FI
	echo "Name=APPX" >> $FI
	echo "Icon=$AD/logomenu.ico" >> $FI
	echo "Type=Directory" >> $FI

	FI=APPX-Char.desktop
	echo "[Desktop Entry]" > $FI
	echo "Name=Character Mode Client" >> $FI
	echo "Exec=$AD/appx" >> $FI
	echo "Terminal=true" >> $FI
	echo "MultipleArgs=false" >> $FI
	echo "Type=Application" >> $FI
fi

# ----------------------------------------------------------
# Create APPX Menu on KDE Menu

# If we're root, place on Main shared menu.
# If we're not root, place on user's personal menu.

if [ `id -u` = "0" ]
then
	MENUDIR=/usr/share/applnk
else
	MENUDIR=~/.kde/share/applnk
fi


if [ -d $MENUDIR ]
then
	cd $MENUDIR

	if ! [ -d APPX ]
	then
		mkdir APPX
	fi

	cd APPX
	
	FI=.directory
	echo "[Desktop Entry]" > $FI
	echo "Name=APPX" >> $FI
	echo "Icon=$AD/logomenu.ico" >> $FI
	echo "Type=Directory" >> $FI

	FI=APPX-Char.kdelnk
	echo "[Desktop Entry]" > $FI
	echo "Name=Character Mode Client" >> $FI
	echo "Exec=$AD/appx" >> $FI
	echo "Terminal=true" >> $FI
	echo "MultipleArgs=false" >> $FI
	echo "Type=Application" >> $FI

	
fi
